TP-Link TL-WR841N(D), WA701N(D), WR740N(D), WR741N(D), WR743N(D), WR940N, WR941N(D) - LADUS / JULIA / Ultra Lite / VPN builds


#227

Never tried with SQM. Get a second router to do the SQM if it starts lagging.


#228

Hi 0xCrypt! Thank you very much for your special compilation for me! It was a bit tricky to install because the device said it won't work, but with sysupgrade command in CLI the sysupgrade-version worked from Lede 17.01!

Unfortunately I haven't had the possibility to test the wireguard-tunnel so far, but it was possible to create at least the interface. So after testing I will report again.

Thank you very much again and maybe it's possible to provide this image also for others who wanna use wireguard on the tplink 741 v4.21


#229

No problem.
I believe the v4 firmware I compiled works on v4.21 as well. iirc the numbers you see after the dot usually describe the region ie EU, US, South America etc.


#230

I configured a wireguard tunnel with an wr841v9 through a wireless transit network. I just reach around 10 MBit/s through the tunnel while the shown datarate in the overwiew page says 65 MBit/s in wr740 v4.21 and between 72 MBit/s and 130 MBit/s in wr841 v9.

CPU load is in both devices under 1. It's between 0.4 and 0.7 in both devices during max traffic.

So does anyone know the bottle-neck?


#231

is the wireless stable now?


#232

Hey 0xCrypt, I wanted to install your firmware also on my TP-Link WA730RE v2. If you compare the hardware it's the same AR9331-AL1A and same speed, same flash/rom Openwrt-Wiki (unfortunately not up-to-date for v2). I read also that someone flashed Gargoyle successfully with the version of WR741n Garyole flashing WA730RE v2.

Do you think we could maybe just fix the HWID on your build or would you compile me a new one with Wireguard again? It should be the same Hardware.

I installed Openwrt 15.05 Chaos Calmer from the Wiki-Page and after that I tried to flash your compiled version too like I forced my wr740 to take it, but this time no luck.

root@OpenWrt:/tmp# sysupgrade openwrt-ar71xx-tiny-tl-wr741nd-v4-squashfs-sysupgr
ade.bin 
Invalid image, hardware ID mismatch, hw:07300002 image:07410004.
Image check 'platform_check_image' failed.
root@OpenWrt:/tmp# sysupgrade openwrt-ar71xx-tiny-tl-wr741nd-v4-squashfs-sysupgr
ade.bin -F
Invalid image type.
Image check 'platform_check_image' failed.


#233

hi mate I can't patch the firmware because I'm currently using a computer with only one core running linux and the patch program has the exe extension
please try to follow my previous post and learn to build the firmware yourself so you can stay up to date


#234

@0xCrypt
Thanks for your answer. I tried to understand the requirements and perquisites but really don't see a beginning and a end.... I don't need to stay updated to be honest. I just need a working firmware with wireguard.

After a bit of search I found an online building tool Image creator unfortunately there is only an Option for Tl-wa730re v1. I was able to build an image with wg, but I think it won't work because of different hwid.

So could you maybe help a bit or maybe tell me how to use a patch or something in the online building tool?


#235

Hello, can someone help me with building a firmware for my 740nv5?


#236

@Herten
I compiled an image for Wr740 5 with wireguard support for you. I hope it works out and would love to get a feedback.

LEDE_17_06_1_WR740v5_wireguard

IMPORTANT: I just read that WR740v5has just a tiny flash of 2MB and 16MB of RAM. - So I guess my complied version doesn't work. It's meant for 4 MB flash as I understand. BUT I COMPILED IT FOR WR740v5, so maybe it works. Please be aware that you maybe need to recover by serial interface if it's not fitting.


#237

@0xCrypt
I followed also the instructions here to compile my own Openwrt for Wa730re 2, but it's not an option there...

Wiki page WA730REv2

So either in direct compiling or image creator I can't get an working wireguard image for my wa730re v2.

Is there a trick to compile with correct HWID : 07300002 and platform?

I think it's all Ar71xx and Ar9331—AL1A like with Wr740 v4.

The only working version is 15.05 from the Openwrt-wiki that I mentioned before.


Support for Tp-link HW ID-tool WR741v4 and WA730REv2 firmware creation needed
#238

https://forum.archive.openwrt.org/viewtopic.php?id=36596&p=1#p168045
all the links are dead though


#239

I am not sure what I would us the Wireguard for, I only need sqm package with basic scripts.


#240

There are different versions all called the WR740v5. The one they built to sell only in China has the 2/16 chips. The other ones should be 4/32.

You may have to open it up and look at the chip numbers to see what you have.


#241

will the OpenVPN build can works on wr940n(EU)v6?


#242

Hey, is here maybe anyone who could help with that HWID tool? I asked already at TP-Link support UK, but they don't support anything more than open GPL Code...

It's really annoying that WA730REv2 is not supported and there is no profile to build an own image.


#243

anyone who can help me? :tired_face:
please support my device wr940n(EU)v6 luci with openvpn and remove unnecessary libs and packages


#244

Closing this topic now since the topic starter hasn't ben seen since almost a year and his builds (which this topic is about) seem to be unmaintained and hence outdated.

See this topic for more up-to-date builds:


closed #245